linux-lts-utopic: 3.16.0-61.81~14.04.1 -proposed tracker

Bug #1541076 reported by Brad Figg on 2016-02-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-61.81~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 02. February 2016 19:14 UTC
kernel-stable-Prepare-package-end:Thursday, 04. February 2016 23:03 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 04. February 2016 23:03 UTC
kernel-stable-Promote-to-proposed-end:Friday, 05. February 2016 13:25 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Friday, 05. February 2016 15:03 UTC
kernel-stable-Verification-testing-start:Friday, 05. February 2016 15:03 UTC
kernel-stable-Certification-testing-start:Friday, 05. February 2016 15:03 UTC
kernel-stable-Security-signoff-start:Friday, 05. February 2016 15:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 05. February 2016 15:03 UTC
kernel-stable-Security-signoff-end:Friday, 05. February 2016 23:02 UTC
kernel-stable-Certification-testing-end:Tuesday, 16. February 2016 10:02 UTC

CVE References

Brad Figg (brad-figg) on 2016-02-02
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium
Luis Henriques (henrix) on 2016-02-04
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

 linux-lts-utopic | 3.16.0-61.81~14.04.1 | trusty-proposed | source
 linux-meta-lts-utopic | 3.16.0.61.52 | trusty-proposed | source
 linux-signed-lts-utopic | 3.16.0-61.81~14.04.1 | trusty-proposed | source

Brad Figg (brad-figg) on 2016-02-05
description: updated

Here's the relevant information:

 trusty linux-lts-utopic 3.16.0-61.81~14.04.1 REGR summary<REGN: 2 MISS: 42 FAIL: 22 GOOD: 44>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Brad Figg (brad-figg) on 2016-02-05
description: updated
Brad Figg (brad-figg) on 2016-02-05
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/trusty/3.16.0-61.81~14.04.1/trusty-3.16-proposed-frozen.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2016-02-16
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-62.82~14.04.1

---------------
linux-lts-utopic (3.16.0-62.82~14.04.1) trusty; urgency=low

  [ Seth Forshee ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of selectively
    raising caps
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux-lts-utopic (3.16.0-61.81~14.04.1) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1541076

  [ Eric Dumazet ]

  * SAUCE: (no-up) udp: properly support MSG_PEEK with truncated buffers
    - LP: #1527902

  [ J. R. Okajima ]

  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043

  [ Upstream Kernel Changes ]

  * Revert "[stable-only] net: add length argument to
    skb_copy_and_csum_datagram_iovec"
    - LP: #1540412
  * xfrm: dst_entries_init() per-net dst_ops
    - LP: #1486670
  * fuse: break infinite loop in fuse_fill_write_pages()
    - LP: #1540412
  * usb: gadget: pxa27x: fix suspend callback
    - LP: #1540412
  * iio: fix some warning messages
    - LP: #1540412
  * USB: cp210x: Remove CP2110 ID from compatibility list
    - LP: #1540412
  * USB: cdc_acm: Ignore Infineon Flash Loader utility
    - LP: #1540412
  * USB: serial: Another Infineon flash loader USB ID
    - LP: #1540412
  * ext4: Fix handling of extended tv_sec
    - LP: #1540412
  * jbd2: Fix unreclaimed pages after truncate in data=journal mode
    - LP: #1540412
  * drm/ttm: Fixed a read/write lock imbalance
    - LP: #1540412
  * AHCI: Fix softreset failed issue of Port Multiplier
    - LP: #1540412
  * sata_sil: disable trim
    - LP: #1540412
  * usb-storage: Fix scsi-sd failure "Invalid field in cdb" for USB adapter
    JMicron
    - LP: #1540412
  * staging: lustre: echo_copy.._lsm() dereferences userland pointers
    directly
    - LP: #1540412
  * irqchip/versatile-fpga: Fix PCI IRQ mapping on Versatile PB
    - LP: #1540412
  * usb: core : hub: Fix BOS 'NULL pointer' kernel panic
    - LP: #1540412
  * USB: whci-hcd: add check for dma mapping error
    - LP: #1540412
  * usb: Use the USB_SS_MULT() macro to decode burst multiplier for log
    message
    - LP: #1540412
  * dm btree: fix leak of bufio-backed block in btree_split_sibling error
    path
    - LP: #1540412
  * perf: Fix PERF_EVENT_IOC_PERIOD deadlock
    - LP: #1540412
  * usb: xhci: fix config fail of FS hub behind a HS hub with MTT
    - LP: #1540412
  * ALSA: rme96: Fix unexpected volume reset after rate changes
    - LP: #1540412
  * ALSA: hda - Add inverted dmic for Packard Bell DOTS
    - LP: #1523232, #1540412
  * v...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2016-02-22
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers